import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { DataSchedulingEntity } from '../../domain/entities/data-scheduling.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.DATA_SCHEDULING)
export class DataSchedulingModel
  extends BaseStatusModel<DataSchedulingEntity>
  implements DataSchedulingEntity
{
  @Column('varchar', { name: 'name' })
  name: string;

  @Column('varchar', { name: 'indexing_key' })
  indexing_key: string;

  @Column('date', { name: 'schedule_date_from', nullable: false })
  schedule_date_from: Date;

  @Column('date', { name: 'schedule_date_to', nullable: false })
  schedule_date_to: Date;
}
